Subject: FVWM: Re: Iconisation issue

From: "Matt H" <[email-masked]>
Date: Fri, 02 Mar 2001 10:50:57 -0000

>Well, of course you don't get a MapNotify if the window starts
>iconic as you asked through the WMHints.  If said other window
>managers ignore this hint and create the window full sized then
>these window managers are broken (consider reporting that bug to
>the developers).
>
>However, what you say does not match the code you sent.  I can't
>see why myshell should have the IconicState set in the WMHints.
>I removed the two forms from the code (XmCreateForm always gives
>me that X error message) and now I get the MapNotify as requested
>as soon as the code reaches the final line:
>
>  XtAppMainLoop(my_appContext);
>
>I'd take another look at the code if you post the correct code.

Dominik,

Thank you for your willingness to help here!

I guess the question is...if WMHINTS->initial_state is set to iconic and 
XtSetMappedWhenManaged on a shell is set, when managing the shell it should 
get mapped (hence generating the MapNotify event) even though it should be 
iconised?

FVWM does not map the shell when managed, is this correct behaviour?

Thank you,
Matt.
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 2 Mar 2001 16:06:22 +0100

> get mapped (hence generating the MapNotify event) even though it should be 

No, I don't think so.  In X, events are generated for *windows*,
not for Xt widgets.  If an event is selected for the shell widget,
it is only selected for the widget's window, not its icon window,
so sending a MapNotify might confuse the application or even crash
it.  I've reread the specifications again and I can find no
indication that the client should get any event when a window is
started iconic.  *If* an event is sent, then it should be an
UnmapNotify, not a MapNotify.  I have written a patch for this,
but I am not sure this will work with all applications.  Anyway,
your program should not rely on a MapNotify or UnmapNotify event.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].